# Class MultipleParentException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.media.j3d.IllegalSceneGraphException
javax.media.j3d.IllegalSharingException
javax.media.j3d.MultipleParentException

All Implemented Interfaces:
  `Serializable`

public class MultipleParentException extends IllegalSharingException
Indicates an attempt to add a node that is already a child of one group node, into another group node.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MultipleParentException()`
Create the exception object with default values.
`MultipleParentException(String str)`
Create the exception object that outputs message.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultipleParentException

public MultipleParentException()
Create the exception object with default values.

### MultipleParentException

public MultipleParentException(String str)
Create the exception object that outputs message.

Parameters:
  `str` - the message string to be output.